# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
    #config.vm.synced_folder '.', '/vagrant', type: 'nfs'
  
    # VirtualBox.
    config.vm.define "virtualbox" do |virtualbox|
      virtualbox.vm.hostname = "virtualbox-ubuntu2004"
      virtualbox.vm.box = "file://builds/virtualbox-ubuntu2004.box"
      virtualbox.vm.network :private_network, ip: "172.16.3.21"
  
      config.vm.provider :virtualbox do |v|
        v.gui = false
        v.memory = 1024
        v.cpus = 1
        v.customize ["modifyvm", :id, "--natdnshostresolver1", "on"]
        v.customize ["modifyvm", :id, "--ioapic", "on"]
      end
  
      config.vm.provision "shell", inline: "congratulations! you build a box and started it./n This is the first step to ISAC :-)"
    end
  
  end